Summary: Open source Project Management replaces Microsoft Project and OpenProj
Name: projectlibre
Version: 1.6.2
Release: %mkrel 3
License: CPAL
Group: Office/Management
URL: http://www.projectlibre.org
BuildArch: noarch
Requires: java
Source0: https://sourceforge.net/projects/projectlibre/files/ProjectLibre/%{version}/%{name}-%{version}-src.tar.gz
# https://sourceforge.net/p/projectlibre/tickets/115
Patch0: %{name}-1.6.2-mga-l10n-dialogs.patch
Provides: openproj = %{version}
BuildRequires: ant
BuildRequires: java-devel

%description
A desktop replacement for Microsoft Project. It is capable of sharing
files with Microsoft Project and has very similar functionality (Gantt,
PERT diagram, histogram, charts, reports, detailed usage), as well as
tree views which aren't in MS Project.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1

%build
pushd openproj_build
%ant
popd

%install
pushd openproj_build
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -a dist/* %{buildroot}%{_javadir}/%{name}/
cp -af resources/samples %{buildroot}%{_javadir}/%{name}/
install -D -m 755 resources/%{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 resources/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m 644 resources/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 644 resources/%{name}.xml %{buildroot}%{_datadir}/mime/packages/%{name}.xml
popd

%files
%doc openproj_build/resources/*.txt
%{_javadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml


%changelog
* Sat Feb 27 2016 umeabot <umeabot> 1.6.2-3.mga6
+ Revision: 979906
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 alexl <alexl> 1.6.2-2.mga6
+ Revision: 892027
- fix l10n for open/save dialogs

* Sat Sep 12 2015 alexl <alexl> 1.6.2-1.mga6
+ Revision: 878341
- add provides openproj
- delete upstreamed stuff
- build from sources
- version 1.6.2

* Wed Jan 07 2015 alexl <alexl> 1.5.9-5.mga5
+ Revision: 809101
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.5.9-4.mga5
+ Revision: 747833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.9-3.mga5
+ Revision: 687795
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 alexl <alexl> 1.5.9-2.mga5
+ Revision: 662432
- added full url for source in spec
- translated desktop file

* Mon Jul 21 2014 alexl <alexl> 1.5.9-1.mga5
+ Revision: 655021
- version 1.5.9
- new summary
- enabled AutoReqProv

* Sun Apr 13 2014 alexl <alexl> 1.5.8-2.mga5
+ Revision: 613843
- used javadir instead of datadir (policy)

* Tue Apr 08 2014 alexl <alexl> 1.5.8-1.mga5
+ Revision: 612842
- fix Group
- imported package projectlibre

